Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451823 - Nautilus, Places, Home opens easytag
Summary: Nautilus, Places, Home opens easytag
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: easytag
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 17:03 UTC by Jack Tanner
Modified: 2011-03-29 02:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-23 14:23:16 UTC


Attachments (Terms of Use)

Description Jack Tanner 2008-06-17 17:03:30 UTC
Description of problem:

In GNOME, clicking Places, Home starts easytag (it should open the home folder).

Version-Release number of selected component (if applicable):

easytag.x86_64                           2.1-5.fc9

This may be related to 

http://bugzilla.gnome.org/show_bug.cgi?id=336541
http://bugzilla.gnome.org/show_bug.cgi?id=418760

Comment 1 Matthias Saou 2008-06-18 10:54:56 UTC
I've checked these bug report, and looking at the current easytag.desktop file,
I see only :

MimeType=audio/x-mp3;application/ogg;

So I really don't understand how easytag can be opening directories... could you
double check :
- The /usr/share/applications/easytag.desktop file (MimeType line)
- The output from "grep default /usr/share/applications/mimeinfo.cache"

Comment 2 Jack Tanner 2008-06-18 15:43:33 UTC
Yah, those are the obvious places. But there's nothing there, see below.

It's perfectly reproducible. If I yum remove easytag, the Home, Desktop, and
Pictures links under Places all work fine. If I yum install easytag, all three
of those links start easytag instead of opening folders in nautilus.

$ grep MimeType /usr/share/applications/easytag.desktop
MimeType=audio/x-mp3;application/ogg;
$ grep default /usr/share/applications/mimeinfo.cache
x-directory/gnome-default-handler=gnome-nautilus-folder-handler.desktop

And here's the relevant stuff from gnome-nautilus-folder-handler.desktop:

TryExec=nautilus
Exec=nautilus --no-desktop %U
X-Gnome-Vfs-System=gio
NoDisplay=true
Terminal=false
Icon=folder-open
StartupNotify=true
Type=Application
MimeType=x-directory/gnome-default-handler;x-directory/normal;inode/directory;application/x-gnome-saved-search;


Comment 3 Micha Kersloot 2008-06-21 23:18:22 UTC
Same thing happened to me, but in my case gthumb-importer started instead of
easytag.

I 'solved' it this way:
* Open nautilus
* Right click on a folder
* Select properties
* Choose the 'Open with' tab
* Select 'Open Folder'
* Click <Close>

Comment 4 Jack Tanner 2008-06-24 03:35:55 UTC
Sounds like a Nautilus problem.

Comment 5 Jack Tanner 2008-06-24 18:54:48 UTC
I confirm that comment #3 offers a workaround. Also, keeping Matthias in the loop...

Comment 6 Micha Kersloot 2008-06-25 13:59:18 UTC
Personally, I'm not sure it is a nautilus error. I think it is a user error, or
maybe better a HID problem.

I know for myself I changed the behavior when opening a folder. I didn't realize
I changed it for all folders and not only the folder I was working with. This
although I am aware that if you change 'Open with' in the properties it happens
for all files within the same class.

Comment 7 Jack Tanner 2008-06-25 14:23:44 UTC
Well, the easytag case is definitely not user error.

$ yum install easytag
-> problem exists
$ yum remove easytag
-> problem does not exist

Note that no user intervention -- such as setting nautilus options -- was
necessary to cause the problem.

Comment 8 Micha Kersloot 2008-06-25 15:11:54 UTC
Hmm, strange,

I do have a Gentoo machine with Nautilus 2.22.3 and easytag 2.1.5 which does not
have this problem. I haven't tried easytag on my FC9 laptop, but will try that
tonight.

Comment 9 Micha Kersloot 2008-06-25 19:44:10 UTC
I just installed easytag on my Fedora machine and it didn't change the way
folders opened. I didn't experience the problems you're talking about. So in my
case solution #3 really solved my problem, sorry.

Comment 10 Bug Zapper 2009-06-10 01:40:07 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-07-14 18:23:28 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Leonidas Georgopoulos 2010-01-19 02:21:17 UTC
The bug occurs also in fc11.

WORKAROUND:

1. vi /usr/share/applications/mimeinfo.cache
2. set the line that refers to x-directory to be: x-directory/normal=gnome-nautilus-folder-handler.desktop;

However, one should not allow the default gnome file browser to be dethroned just by installing another package. Some warning or verification should be given.


Thanks.

Comment 13 D.S. Ljungmark 2010-02-23 19:46:01 UTC
This also happens in F12

Comment 14 Matthias Saou 2010-04-08 10:03:09 UTC
I've re-checked the /usr/share/applications/easytag.desktop file I have on an F-12 system, and just saw :
MimeType=audio/x-mp3;application/ogg;x-directory/normal;

That explains. But why it wasn't there last time I checked... I really don't know. I'll be pushing a new package which removes the "x-directory/normal" type from the file.

Comment 15 Fedora Update System 2010-04-28 15:24:55 UTC
easytag-2.1.6-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/easytag-2.1.6-3.fc12

Comment 16 Fedora Update System 2010-04-28 15:25:02 UTC
easytag-2.1.6-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/easytag-2.1.6-3.fc11

Comment 17 Fedora Update System 2010-04-28 15:25:07 UTC
easytag-2.1.6-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/easytag-2.1.6-3.fc13

Comment 18 Fedora Update System 2010-04-30 17:20:51 UTC
easytag-2.1.6-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update easytag'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/easytag-2.1.6-3.fc12

Comment 19 Fedora Update System 2010-04-30 17:21:01 UTC
easytag-2.1.6-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update easytag'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/easytag-2.1.6-3.fc11

Comment 20 Matthias Saou 2010-05-23 14:23:16 UTC
The previous update was never pushed to stable, easytag-2.1.6-5 was instead.

Comment 21 bobpoljakov 2011-03-29 02:03:22 UTC
I'm facing this problem on F14.

Comment 22 bobpoljakov 2011-03-29 02:08:24 UTC
I've manually downloaded and installed easytag-2.1.6-3.fc14.x86_64.rpm from koji, and It's also buggy. If easytag installed, then folders from Places menu are opened by easytag.


Note You need to log in before you can comment on or make changes to this bug.